Summary:	Nettle - a cryptographic library
Summary(pl.UTF-8):	Nettle - biblioteka kryptograficzna
Name:		nettle
Version:	2.7.1
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://www.lysator.liu.se/~nisse/archive/%{name}-%{version}.tar.gz
# Source0-md5:	003d5147911317931dd453520eb234a5
Patch0:		%{name}-info.patch
URL:		http://www.lysator.liu.se/~nisse/nettle/
BuildRequires:	ghostscript
BuildRequires:	gmp-devel >= 3.1
BuildRequires:	m4
BuildRequires:	tetex-dvips
BuildRequires:	texinfo-texi2dvi
Requires:	gmp >= 3.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Nettle is a cryptographic library that is designed to fit easily in
more or less any context: In crypto toolkits for object-oriented
languages (C++, Python, Pike, ...), in applications like LSH or GNUPG,
or even in kernel space. Nettle does only one thing, the low-level
crypto stuff, providing simple but general interface to it. In
particular, Nettle doesn't do algorithm selection. It doesn't do
memory allocation. It doesn't do any I/O. All these is up to
application.

%description -l pl.UTF-8
Nettle to biblioteka kryptograficzna zaprojektowana tak, aby łatwo
dało się jej użyć w prawie każdej sytuacji: w narzędziach
kryptograficznych dla języków zorientowanych obiektowo (C++, Python,
Pike...), w aplikacjach typu LSH czy GNUPG, a nawet w przestrzeni
jądra. Nettle robi tylko jedną rzecz - niskopoziomową kryptografię,
udostępniając do tego prosty, ale ogólny interfejs. Nettle nie
dokonuje żadnego wyboru algorytmu, przydzielania pamięci, czy operacji
we/wy - pozostawia to aplikacji.

%package devel
Summary:	Header files for nettle library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki nettle
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for nettle library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki nettle.

%package static
Summary:	Static nettle library
Summary(pl.UTF-8):	Statyczna biblioteka nettle
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static nettle library.

%description static -l pl.UTF-8
Statyczna biblioteka nettle.

%prep
%setup -q
%patch0 -p1

%build
%configure \
	--enable-shared

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_infodir}/dir

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/nettle-hash
%attr(755,root,root) %{_bindir}/nettle-lfib-stream
%attr(755,root,root) %{_bindir}/pkcs1-conv
%attr(755,root,root) %{_bindir}/sexp-conv
%attr(755,root,root) %{_libdir}/libhogweed.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libhogweed.so.2
%attr(755,root,root) %{_libdir}/libnettle.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libnettle.so.4

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libhogweed.so
%attr(755,root,root) %{_libdir}/libnettle.so
%{_includedir}/nettle
%{_pkgconfigdir}/hogweed.pc
%{_pkgconfigdir}/nettle.pc
%{_infodir}/nettle.info*

%files static
%defattr(644,root,root,755)
%{_libdir}/libhogweed.a
%{_libdir}/libnettle.a
%changelog
* Fri May 31 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nettle.git;a=log;h=master

* Fri May 31 2013 Kacper Kornet <draenog@pld-linux.org> 507c2b2
- updated to 2.7.1

* Thu Apr 25 2013 Jakub Bogusz <qboosh@pld-linux.org> 7495293
- updated to 2.7

* Fri Jan 18 2013 Jakub Bogusz <qboosh@pld-linux.org> 6ea6240
- updated to 2.6

* Wed Jul 11 2012 Jakub Bogusz <qboosh@pld-linux.org> 135e01d
- updated to 2.5

* Wed Sep 07 2011 Jakub Bogusz <qboosh@pld-linux.org> 8062028
- updated to 2.4

* Wed Jul 13 2011 Jakub Bogusz <qboosh@pld-linux.org> 77f5666
- updated to 2.2
- new URLs

* Mon Jan 24 2011 sparky <sparky@pld-linux.org> 847bbfa
- BR: m4

* Mon Aug 09 2010 Jakub Bogusz <qboosh@pld-linux.org> 52e0855
- updated to 2.1 (new sonames)

* Wed May 12 2010 sparky <sparky@pld-linux.org> 0d241db
- dropped BR: m4

* Wed Apr 21 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 5293dbe
- release 5

* Sat Apr 03 2010 Elan Ruusamäe <glen@pld-linux.org> 19ded59
- release 4

* Thu Apr 01 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 3dbe38c
- release 3

* Mon Mar 29 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> b2d4c98
- release 2

* Sat Oct 03 2009 Jakub Bogusz <qboosh@pld-linux.org> a1b7a2c
- updated to 2.0
- updated info patch

* Thu Jan 24 2008 Elan Ruusamäe <glen@pld-linux.org> 9698e94
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

* Fri Apr 27 2007 Marcin Banasiak <marcin.banasiak@gmail.com> d65b8e1
- missing BRs (ghostscript and tetex-dvips)

* Wed Apr 18 2007 Jakub Bogusz <qboosh@pld-linux.org> 09fa927
- updated to 1.15

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 5474282
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 52e533c
- converted to UTF-8

* Wed Aug 23 2006 Jakub Bogusz <qboosh@pld-linux.org> b789d7e
- fixed linking (libnettle needs -lgmp); release 2

